#
# RPM spec file for G0FRD CW tutor for UNIX flavours
# Copyright (C) 2001, 2002  Simon Baldwin (simonb@caldera.com)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# Normal descriptive preamble.
Summary:	UnixCW Morse Code Utilities
Name:		unixcw
Version:	2.2
Release:	1
Group:		Applications/Hamradio
Copyright:	GPL
Packager:	Simon Baldwin <simonb@caldera.com>
URL:		http://www.geocities.com/simon_baldwin/
Source:		ftp://metalab.unc.edu/pub/Linux/apps/ham/morse/unixcw-2.2.tgz
BuildRoot:	/tmp/unixcw-2.2

%description
The UnixCW utilities add a general purpose CW library to your system, and
a small set of applications based around this library.  These applications
form a Morse code tutor suite, useful for Amateur and Marine radio operators.

# Straightforward preparation for building.
%prep
%setup

# To build, first configure, then make.
%build
./configure
make

# Tweaked install.  Here we set "prefix" to the build root, suffixed with
# "/usr".  So, unlike our natural locations under "/usr/local", we install
# the RPM packaged version in "/usr", leaving "/usr/local" free for, well,
# the usual "/usr/local" stuff.
%install
make prefix="$RPM_BUILD_ROOT/usr" install

# Clean up our build root.
%clean
rm -rf $RPM_BUILD_ROOT

# List of packaged files.
%files
/usr/bin/cw
/usr/bin/cwcp
/usr/bin/cwgen
/usr/bin/xcwcp

/usr/include/cw.h
/usr/include/cwlib.h

/usr/lib/libcw.a
/usr/lib/libcw.so

/usr/man/man1/cw.1.gz
/usr/man/man1/cwcp.1.gz
/usr/man/man1/cwgen.1.gz
/usr/man/man1/xcwcp.1.gz

/usr/man/man3/cwlib.3.gz

/usr/man/man7/CW.7.gz
/usr/man/man7/cw.7.gz

%doc COPYING
%doc README
%doc INSTALLING
